Wprowadzenie

Program FIT przeznaczony jest do analizy przebiegów różnych wielkości oraz specjalnej aproksymacji tych przebiegów za pomocą splajnów. Aproksymacja danego przebiegu może być w zależności od potrzeb wykonana z wykorzystaniem wszystkich punktów przebiegu lub tylko wybranych. Ten wybór odbywa się automatycznie poprzez wskazanie krotności wybieranych punktów. Punkt pierwszy i ostatni są zawsze uwzględniane.

Program umożliwia aproksymację seryjną, z oceną jakości przybliżenia. Użytkownik w zależności od typu zadania może skorzystać z wybranego typu aproksymacji, o określonej wartości oceny zgodności. W programie można modyfikować wartości Y aproksymujących przebiegów, korzystając z myszki lub klawiatury, dostosowując przebiegi do własnych wymagań a następnie tak zmodyfikowane przebiegi zapisywać do plików na dysku.

Krótką charakterystykę programu można przeczytać tutaj , dostępna jet również strona internetowa programu. Sposób korzystania z programu można zobaczyć na specjalnie przygotowanej prezentacji . Podstawowe funkcje programu zostały opisane w różnych punktach pomocy a w szczególności w rozdziale Funkcje . Aktualizacja programu jest realizowana automatycznie co pewien czas lub na życzenie.

Program może być dostosowany do innych wymagań użytkownika, na przykład inne typy informacji (pola), wygląd okienek dialogowych czy wprowadzone dodatkowe funkcje.

Copyright © Marek Martyna <2020>


Krótka charakterystyka programu

Wprowadzenie ››

Program FIT przeznaczony jest do analizy przebiegów różnych wielkości oraz specjalnej aproksymacji tych przebiegów za pomocą splajnów. Aproksymacja danego przebiegu może być, w zależności od potrzeb, wykonana z wykorzystaniem wszystkich punktów przebiegu lub tylko wybranych. Ten wybór odbywa się automatycznie poprzez wskazanie krotności wybieranych punktów. Punkt pierwszy i ostatni są zawsze uwzględniane. Plik do obliczeń można wybrać za pomocą opcji Otwórz plik lub pośrednio za pomocą opcji Ustawienia programu . Odczytywane pliki mogą mieć format tekstowy, z rozszerzeniami 'txt', 'csv'.
Program umożliwia aproksymację seryjną ( Ustawienia programu) , z oceną jakości przybliżenia. Okienko dialogowe 'Ustawienia programu' pozwala na wybór punktów biorących udział w aproksymacji przebiegu oryginalnego. Odbywa się to w ten sposób, że w polu wyboru 'Do aproksymacji wybrany co i-ty punkt' wskazujemy z jakim krokiem punkty są wybierane z przebiegu i stanowią one podstawę do aproksymacji. Punkty pierwszy i ostatni są zawsze brane pod uwagę. Użytkownik w zależności od typu zadania może skorzystać z wybranego typu aproksymacji o określonej wartości oceny zgodności.

Po uruchomieniu pliku wejściowego, program wykonuje pojedynczą lub wielokrotną aproksymację, w zależności od ustawień ('Ustawienia programu'). Na ekranie, po wykonaniu obliczeń, widoczne są dwie charakterystyki: oryginalna oraz aproksymująca. Korzystając z opcji 'Pokaż | ukryj przebieg oryginalny (PO)' można usuwać z rysunku przebieg oryginalny lub ponownie go pokazać. Odpowiednia ikonka [image] daje ten sam efekt. Identyczna funkcja istnieje dla przebiegu aproksymującego ( Pokaż | ukryj przebieg aproksymujący (PA) ) - ikonka [image] . Kolory jakimi są rysowane przebiegi są identyczny z kolorami ikonek PO i PA. Tytuły rysunków są identyczne jak nazwy plików wejściowych. Można zmienić tytuł rysunku korzystając z opcji 'Zmień tytuł rysunku ' lub odpowiadającej jej ikonki na pasku narzędziowym.

W programie można modyfikować wartości Y aproksymujących przebiegów, korzystając z myszki ( Przemieszczenie punktu myszką ) lub klawiatury ( Przemieszczenie punktu klawiaturą ), dostosowując przebiegi do własnych wymagań i tak zmodyfikowane przebiegi zapisywać do plików na dysku.

Podstawowe funkcje programu zostały opisane w różnych punktach pomocy a w szczególności w rozdziale Funkcje . Aktualizacja programu jest realizowana automatycznie co pewien czas lub na życzenie. Dostępna jest również strona internetowa programu. Sposób korzystania z programu można zobaczyć na specjalnie przygotowanej prezentacji . Program może być dostosowany do innych wymagań użytkownika na przykład inne typy informacji (pola), wygląd okienek dialogowych czy wprowadzone dodatkowe funkcje.


Strona programu

Wprowadzenie ››

Strona programu jest dostępna tutaj:

https://fit.programy-mm.pl


Opis opcji

Plik

Funkcje

Pomoc


Plik

Opis opcji ››

Otwórz plik

Zapisz plik

Zapisz rysunek

Drukuj rysunek

Zamknij


Otwórz plik

Opis opcji ›› Plik ››

Opcja ta pozwala na wybór plików do analizy. Odczytywane pliki mogą mieć format tekstowy, z rozszerzeniami 'txt', 'csv'. Każdy plik zawiera jedną lub dwie kolumny. W przypadku pojedynczej kolumny, punkty na osi X są wyznaczane automatycznie, jako numery kolejnych wierszy. Dla dwóch kolumn, pierwsza zawiera współrzędne osi X a druga współrzędne osi Y.

Po kliknięciu na tę opcję menu lub na odpowiadającą jej ikonkę w pasku narzędzi, na ekranie pojawia się standardowe okienko Otwórz.

Po wybraniu typu pliku (rozszerzenia), jego nazwy i zatwierdzeniu przyciskiem Otwórz, generowane jest okienko dialogowe Ustawienia:

Okienko to pozwala na wybór punktów biorących udział w aproksymacji przebiegu oryginalnego. Odbywa się to w ten sposób, że w polu wyboru 'Do aproksymacji wybrany co i-ty punkt' wskazujemy z jakim krokiem punkty są wybierane z przebiegu i stanowią one podstawę do aproksymacji. Punkty pierwszy i ostatni są zawsze brane pod uwagę. W zależności jaki krok wyboru punktów zostanie przyjęty, przebieg aproksymujący przybliża przebieg oryginalny z różną dokładnością. Aproksymacja jest realizowana z wykorzystaniem splajnów.

W celu ułatwienia oceny stopnia przybliżenia można zaznaczyć pole 'Analiza wszystkich wariantów', co powoduje na przykład przy wybranej wartości 'co 100 punkt' wykonanie 100 aproksymacji, z krokiem wyboru od 1,..,100. Wyniki ocen są zapisywane do pliku 'Oceny.txt' w folderze roboczym programu. Jeśli zaznaczone zostanie również pole 'Pokaż ocenę wszystkich wariantów' wówczas zaraz po wykonaniu obliczeń, na ekranie zostanie wyświetlona w Notatniku systemowym zawartość pliku 'Oceny.txt'.

Przycisk Anuluj oznacza rezygnację z aproksymacji a przycisk Zatwierdź uruchamia obliczenia. Podczas aproksymacji przebieg oryginalny oraz aproksymujący są rysowane na ekranie.


Zapisz plik

Opis opcji ›› Plik ››

Po wykonaniu aproksymacji i rożnych dodatkowych operacji na pliku danych (opisanych w punkcie Funkcje), wyniki można zapisać do pliku na dysku. Plik ma identyczną nazwę jak wejściowy a rożni się tylko dodanym oznaczeniem '_n'. Jest zapisywany w tym samym folderze co plik oryginalny.


Zapisz rysunek

Opis opcji ›› Plik ››

Podczas pracy nad plikiem danych, można w dowolnej chwili skorzystać z opcji 'Zapisz rysunek' lub odpowiadającej jej ikonki na pasku narzędziowym. Rysunek jest zapisywany w folderze, w którym znajduje się plik oryginalny, w postaci pliku typu 'png'.


Drukuj rysunek

Opis opcji ›› Plik ››

Rysunek z okna ekranu może być również wysłany na drukarkę lub przy jej braku do pliku 'pdf'. Można wybrać odpowiednie ustawienia wydruku: rozmiar papieru, orientację, marginesy itd.

Program pozwala także na wybór drukarki i skorzystanie z jej właściwości.


Zamknij

Opis opcji ›› Plik ››

Opcja Zamknij kończy pracę programu. Zamknięcie programu jest również możliwe z wykorzystaniem odpowiedniej ikonki w pasku narzędziowym.


Funkcje

Opis opcji ››

Ustawienia programu

Zmień tytuł rysunku

Pokaż | ukryj przebieg oryginalny (PO)

Pokaż | ukryj przebieg aproksymowany (PA)

Pokaż | ukryj punkty pomiarowe

Powiększ fragment rysunku | oryginał

Przemieszczenie punktu myszką

Przemieszczenie punktu klawiaturą

Uruchom | zatrzymaj pokaz wartości


Ustawienia programu

Opis opcji ›› Funkcje ››

Ustawienia programu to opcja prezentowana już przy okazji innej opcji a mianowicie Otwórz plik.

Okienko dialogowe pozwala na wybór punktów biorących udział w aproksymacji przebiegu oryginalnego. Odbywa się to w ten sposób, że w polu wyboru 'Do aproksymacji wybrany co i-ty punkt' wskazujemy z jakim krokiem punkty są wybierane z przebiegu i stanowią one podstawę do aproksymacji. Punkty pierwszy i ostatni są zawsze brane pod uwagę. W zależności jaki krok wyboru punktów zostanie przyjęty, przebieg aproksymujący przybliża przebieg oryginalny z różną dokładnością. Aproksymacja jest realizowana z wykorzystaniem splajnów.

W celu ułatwienia oceny stopnia przybliżenia można zaznaczyć pole 'Analiza wszystkich wariantów', co powoduje na przykład przy wybranej wartości 'co 100 punkt' wykonanie 100 aproksymacji, z krokiem wyboru od 1,..,100. Wyniki ocen są zapisywane do pliku 'Oceny.txt' w folderze roboczym programu. Jeśli zaznaczone zostanie również pole 'Pokaż ocenę wszystkich wariantów' wówczas zaraz po wykonaniu obliczeń, na ekranie zostanie wyświetlona w Notatniku systemowym zawartość pliku 'Oceny.txt'.

Dodatkowy przycisk Otwórz, aktywny tutaj, daje możliwość wyboru pliku do analizy czyli generowane jest okienko Otwórz, w którym można wskazać plik do obliczeń. Przycisk Anuluj oznacza rezygnację z aproksymacji a przycisk Zatwierdź uruchamia obliczenia. Podczas aproksymacji przebieg oryginalny oraz aproksymujący są rysowane na ekranie.


Zmień tytuł rysunku

Opis opcji ›› Funkcje ››

Tytuły rysunków są identyczne jak nazwy plików wejściowych. Można zmienić tytuł rysunku korzystając z opcji 'Zmień tytuł rysunku' lub odpowiadającej jej ikonki na pasku narzędziowym.

Po zatwierdzeniu zmian w okienku dialogowym 'Zmiana opisu rysunku', okienko zamyka się a odpowiednie zmiany są wykonywane w nagłówku rysunku.


Pokaż | ukryj przebieg oryginalny (PO)

Opis opcji ›› Funkcje ››

Po uruchomieniu pliku wejściowego, program wykonuje pojedynczą lub wielokrotną aproksymację, w zależności od ustawień ('Ustawienia programu'). Na ekranie, po wykonaniu obliczeń, widoczne są dwie charakterystyki: oryginalna oraz aproksymująca.

Korzystając z opcji 'Pokaż | ukryj przebieg oryginalny (PO)' można usuwać z rysunku przebieg oryginalny lub ponownie go pokazać. Odpowiednia ikonka [image] daje ten sam efekt. Kolor jakim jest rysowany przebieg jest identyczny z kolorem ikonki PO.


Pokaż | ukryj przebieg aproksymujący (PA)

Opis opcji ›› Funkcje ››

Po uruchomieniu pliku wejściowego, program wykonuje pojedynczą lub wielokrotną aproksymację, w zależności od ustawień ('Ustawienia programu'). Na ekranie, po wykonaniu obliczeń, widoczne są dwie charakterystyki: oryginalna oraz aproksymująca.

Korzystając z opcji 'Pokaż | ukryj przebieg aproksymujący (PA)' można usuwać z rysunku przebieg aproksymujący lub ponownie go pokazać. Odpowiednia ikonka [image] daje ten sam efekt. Kolor jakim jest rysowany przebieg jest identyczny z kolorem ikonki PA.


Pokaż | ukryj punkty

Opis opcji ›› Funkcje ››

Opcja 'Pokaż | ukryj punkty' pozwala na włączenie prezentacji punktów charakterystyk oryginalnej i aproksymującej. Na każdym z przebiegów są nanoszone, w odpowiednim kolorze, punkty charakterystyk. Opcja ta jest szczególnie przydatna podczas powiększania rysunków oraz przemieszczania punktów myszką lub klawiaturą. Poniżej pokazano rysunek z przebiegiem oryginalnym i aproksymującym.

Po naciśnięciu przycisku [image] na przebiegach pojawiają się punkty w kolorze czerwonym (przebieg oryginalny) oraz zielonym (przebieg aproksymujący).

Jeśli powiększy się na przykład pierwszy fragment rysunku, to położenie punktów przebiegów będzie dobrze widoczne. Dodatkowo najeżdżając myszką na dowolny punkt lub przemieszczając ją dowolnie po ekranie, możemy odczytać wartości Y dla obu przebiegów na pasku, na dole ekranu. Dla współrzędnej X, znajdującej się pomiędzy punktami, odczytywane są aproksymowane wartości y_PO i y_PA z danego przedziału. Na pasku wyświetlane są również współrzędne X i Y położenia myszki oraz data i aktualny czas.

Po ukryciu punktów mamy widoczne tylko przebiegi.


Powiększ fragment rysunku | oryginał

Opis opcji ›› Funkcje ››

Opcja 'Powiększ fragment rysunku | oryginał' umożliwia wielokrotne powiększanie dowolnego aktywnego rysunku. Po wybraniu ikonki z lupką, opcja jest aktywna i można powiększać wybrane fragmenty ekranu.

Zaznaczanie obszaru odbywa się w następujący sposób: klikamy lewym przyciskiem myszki w pierwszym wybranym punkcie i przesuwamy myszkę do kolejnego punktu opisującego wymagany obszar, klikamy ponownie lewym klawiszem myszki. Podczas przesuwania myszki, po pierwszym kliknięciu, cały czas, szarymi liniami, zaznaczany jest obszar prostokątny. Po drugim kliknięciu wybrany obszar jest odmalowywany na ekranie. Program dopasowuje skale X, Y do wybranego obszaru. Podczas przesuwania myszki lewy przycisk myszki nie musi być wciśnięty. Przykładowo dla rysunku powyżej zaznaczono obszar X (0-5000) i Y (170000-174000).

Operacje powiększania można wykonywać wielokrotnie. Na przykład poniżej mamy wybrany kolejny obszar X (1000-2000) i Y (171600-172400).

Zakończenie działania funkcji powiększania i powrót do początkowego rysunku odbywa się albo poprzez ponowne wybranie ikonki lupy (ewentualnie odpowiedniej opcji menu) lub użycie prawego przycisku myszki. Na całym rysunku lub dowolnym powiększonym obszarze można realizować inne operacje.


Przemieszczenie punktu myszką

Opis opcji ›› Funkcje ››

Punkty przebiegu aproksymującego mogą być przemieszczane za pomocą myszki lub klawiatury. Poniżej pokazano powiększony fragment rysunku z przebiegiem oryginalnym (kolor czerwony) oraz aproksymującym (kolor zielony).

Przemieszczenie dowolnego punktu może odbywać się na dwa sposoby:

- klikamy lewym przyciskiem myszki na wybrany punkt i przytrzymując ten przycisk przesuwamy myszkę w pionie a następnie zwalniamy przycisk myszki; po wybraniu punktu zostaje on otoczony kółkiem w kolorze magenta a przy przesuwaniu myszką kółko jest już w kolorze zielonym

- klikamy lewym przyciskiem myszki w dowolnym miejscu powyżej lub poniżej wybranego punktu i jeśli przytrzymamy przycisk myszki na moment, to w tym miejscu pojawia się kółko w kolorze czarnym a następnie punkt połączony odcinkami z sąsiednimi punktami

Drugi sposób przemieszczania punktów jest znacznie szybszy.

Po zwolnieniu przycisku myszki, w pierwszy sposobie przemieszczania punktu, na ekranie punkt pojawia się w nowym miejscu i jest połączony odcinkami z sąsiednimi punktami.

Kolejne przemieszczenia punktów pozwalają na dowolne kształtowanie przebiegu aproksymującego.


Przemieszczenie punktu klawiaturą

Opis opcji ›› Funkcje ››

Przemieszczanie punktów przebiegu aproksymującego za pomocą klawiatury jest realizowane z wykorzystaniem przycisków ze strzałkami (góra, dół). Poniżej pokazano powiększony fragment rysunku z przebiegiem oryginalnym (kolor czerwony) oraz aproksymującym (kolor zielony). Punkt wybieramy za pomocą myszki. Po kliknięciu lewym przyciskiem myszki, wokół punktu pojawia się kółko w kolorze magenta a następnie przemieszczamy punkt naciskając na klawiaturze przyciski ze strzałkami.

Za pomocą klawiatury można przemieszczać punkty z dużą precyzją.


Uruchom | zatrzymaj pokaz wartości

Opis opcji ›› Funkcje ››

Podczas przemieszczania myszki po ekranie na dolnym pasku wyświetlane są współrzędne myszki oraz współrzędne Y przebiegów. Opcja 'Uruchom | zatrzymaj pokaz wartości' może zatrzymać lub wznowić wyświetlanie tych współrzędnych. Standardowo współrzędne są wyświetlane.


Pomoc

Opis opcji ››

Pomoc

Strona programu

Pobierz prezentację

Aktualizacja programu

O programie


Pomoc programu

Opis opcji ›› Pomoc ››

Aktualnie wyświetlana pomoc programu.


Strona programu

Opis opcji ›› Pomoc ››

Po wybraniu tej pozycji menu, w przeglądarce internetowej, otwierana jest uproszczona strona internetowa programu ‘FIT’.

Strona zawiera informacje związane z programem, jak również pozwala na pobranie najnowszych wersji programu.


Pobierz prezentacje

Opis opcji ›› Pomoc ››

Do programu przygotowano prezentację, którą można uruchomić w przeglądarce lub pobrać z serwera na dysk. Prezentację zapisaną na dysku można otworzyć dowolnym programem do odtwarzania wideo, na przykład Windows Media Player i najlepiej odtwarzać film na pełnym ekranie.


Aktualizacja programu

Opis opcji ›› Pomoc ››

Program uruchamia automatyczną aktualizację raz na miesiąc. Istnieje również możliwość uruchomienia aktualizacji na życzenie, w dowolnej chwili podczas pracy programu. Po wybraniu ikonki aktualizacji [image] lub pozycji menu 'Pomoc | Aktualizacja programu', rozpoczyna się proces aktualizacji programu. Na ekranie pojawiają się kolejno okienka informacyjne oraz dialogowe, które pozwalają na uaktualnienie programu.

Na początku wyświetlane jest okienko dialogowe pokazane poniżej.

Naciśnięcie przycisku Anuluj powoduje przerwanie aktualizacji i wyświetlenie następującej informacji:

Naciśnięcie przycisku Kontynuuj wznawia normalną pracę programu.

Jeśli w okienku 'Aktualizacja programu Fit' wybrany zostanie przycisk Kontynuuj, to program sprawdza dostępność uaktualnienia na serwerze. Jeżeli zainstalowana w komputerze wersja jest identyczna z umieszczoną na serwerze, wówczas program kończy proces aktualizacji komunikatem pokazanym poniżej:

i przechodzi do trybu normalnej pracy. Jeżeli na serwerze nie ma programu instalacyjnego, wówczas wyświetlany jest komunikat:

W przypadku znalezienia nowszej wersji programu na serwerze wyświetlane jest kolejne okienko dialogowe a program jest pobierany.

Jeżeli w trakcie pobierania programu wystąpią jakieś problemy, to pobieranie zostanie przerwane i pojawi się komunikat:

Po pobraniu całego pliku instalacyjnego, na ekranie może pojawić się okienko dialogowe, jak poniżej:

Wybranie przycisku Nie uruchamiaj (anulowanie instalacji), powoduje wyświetlenie komunikatu:

Naciśnięcie przycisku Uruchom, w okienku dialogowym '(Nieznana aplikacja) - ...' , pozwala na rozpoczęcie procesu instalacji nowej wersji programu (należy postępować według wskazówek programu instalacyjnego). Jeśli w instalacji przeszkadza program antywirusowy, to należy go na chwilę dezaktywować (wyłączyć ochronę).

Po zakończeniu aktualizacji na ekranie pojawia się komunikat:


O programie

Opis opcji ›› Pomoc ››

Okienko pokazuje krótką informację zawierającą nazwę programu, jego wersję oraz imię i nazwisko autora.


Dodatkowe informacje

Kontakt


Kontakt

Dodatkowe informacje ››

email: mm@fit.programy-mm.pl